Subject: Ticket Assigned - Delay of Order no. 9615195626
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sun, 29 Nov 2020 02:29:43 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delay of Order no. 9615195626 Good day.

Please help me regarding subject order number because I am waiting for almost 8 days now.

I am really disappointed because I have called your customer service number more than 3 times and unfortunately I got no proper answer till date.
 
So, please inform me when this order will be ready for collection from the store.

Regards,

Mahmoud Salah
0503365527

Sent from my iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1754206